Page MenuHomePhabricator

Introduce HTMLGlobalUserTextField::class for global users
Closed, ResolvedPublic

Description

Currently, when using `'type' => 'user' in an HTMLForm with 'ooui' , then autocompletion is only working for local users, not global users. This is the blocker of many tasks.

Potential Solution

Introduce HTMLGlobalUserTextField::class in CentralAuth Extension.

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptSep 15 2018, 2:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 460703 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/core@master] Add support to 'global' param in HTMLUserTextField::class

https://gerrit.wikimedia.org/r/460703

Mainframe98 updated the task description. (Show Details)Sep 15 2018, 3:26 PM
Volker_E moved this task from Backlog to Reviewing on the OOUI board.Oct 2 2018, 10:57 PM

Change 470753 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/CentralAuth@master] [WIP] Introduce HTMLGlobalUserTextField

https://gerrit.wikimedia.org/r/470753

Change 460703 abandoned by Jayprakash12345:
Add support to 'global' param in HTMLUserTextField::class

Reason:
Per Bartosz Dziewoński

https://gerrit.wikimedia.org/r/460703

Jayprakash12345 renamed this task from Add support to 'global' param in HTMLUserTextField::class to Introduce HTMLGlobalUserTextField::class for global users.Oct 31 2018, 7:23 AM
Jayprakash12345 updated the task description. (Show Details)

Change 470753 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Introduce HTMLGlobalUserTextField

https://gerrit.wikimedia.org/r/470753

matmarex closed this task as Resolved.Dec 10 2018, 11:52 PM
matmarex added a subscriber: matmarex.

Thanks!